{% extends 'core/layout/layout.html.twig' %}

{% block stylesheets %}
{{ parent() }}
        
        
{% endblock %}

{% block container %}
    <div class="content-landing">
        {% block content %} 
        
        <div class="container-fluid">

                    <!-- Page Heading -->
                    <h1 class="h3 mb-2 text-gray-800">Voyage</h1>
                    <p class="mb-4"><a href="#">Liste</a></p>
                    
    <form  method="get" id="filter" class='d-flex justify-content-evenly firtBottom'>                                     
   <div class="text-center w-50">
      <select id="input2" name="travelDestination"  class="contenuGreen p-1 borderGreen">
           <option value="">travelDestination</option>
           {% for travelDestination in travelDesti %}
       	    <option 
           {% if currenttravelDestination == travelDestination.id %}selected
           {% endif %} value="{{travelDestination.id}}">{{travelDestination.name}}
           </option>
           {% endfor %}
       </select>
   </div>
   <div class="text-center w-50">
       <select id="input3" name="travelSite"  class="contenuGreen p-1 borderGreen">
         <option value="">TravelSite</option>
               {% for travelSite in travelSit %}
                <option {% if currenttravelSites == travelSite.id %}selected
               {% endif %} value="{{travelSite.id}}">{{travelSite.name}}
  </option>
         {% endfor %}
        </select>
   </div>
</form>
                    <!-- DataTales Example -->
                    <div class="shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">Destinations</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Description</th>
                <th>Filter</th>
            </tr>
        </thead>
        <tbody>
        {% for travelDestination in travelDesti %}
            <tr>
                <td>{{ travelDestination.id }}</td>
                <td>{{ travelDestination.name }}</td>
                <td>{{ travelDestination.description }}</td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        {% for travelSite in travelSit %}
            <tr>
                <td>{{ travelSite.id }}</td>
                <td>{{ travelSite.name }}</td>
                <td>{{ travelSite.description }}</td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
       
                                </table>
                             
                                
                            </div>
                        </div>
                    </div>

                </div>
        
    
         
         
         
         
         
    </div>{% endblock content %}
    </div>
{% endblock container %}


{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('js/landing-page', null, 'frontend') }}
    <script src="{{ asset('build/frontend/js/custom.js')}}"></script>
{% endblock %}